> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Reporting Events

> Get paginated reporting events for the account. This endpoint returns reporting events such as first response time, resolution time, and other metrics. Only administrators can access this endpoint. Results are paginated with 25 items per page.



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v1/accounts/{account_id}/reporting_events
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}/reporting_events:
    parameters:
      - $ref: '#/components/parameters/account_id'
    get:
      tags:
        - Reports
      summary: Account Reporting Events
      description: >-
        Get paginated reporting events for the account. This endpoint returns
        reporting events such as first response time, resolution time, and other
        metrics. Only administrators can access this endpoint. Results are
        paginated with 25 items per page.
      operationId: get-account-reporting-events
      parameters:
        - $ref: '#/components/parameters/page'
        - in: query
          name: since
          schema:
            type: string
          description: >-
            The timestamp from where events should start (Unix timestamp in
            seconds)
        - in: query
          name: until
          schema:
            type: string
          description: >-
            The timestamp from where events should stop (Unix timestamp in
            seconds)
        - in: query
          name: inbox_id
          schema:
            type: number
          description: Filter events by inbox ID
        - in: query
          name: user_id
          schema:
            type: number
          description: Filter events by user/agent ID
        - in: query
          name: name
          schema:
            type: string
          description: >-
            Filter events by event name (e.g., first_response, resolution,
            reply_time)
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reporting_events_list_response'
        '403':
          description: Access denied - Only administrators can access this endpoint
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
    page:
      in: query
      name: page
      schema:
        type: integer
        default: 1
      required: false
      description: The page parameter
  schemas:
    reporting_events_list_response:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/reporting_event_meta'
        payload:
          type: array
          items:
            $ref: '#/components/schemas/reporting_event'
          description: List of reporting events
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    reporting_event_meta:
      type: object
      properties:
        count:
          type: integer
          description: Total number of reporting events
        current_page:
          type: integer
          description: Current page number
        total_pages:
          type: integer
          description: Total number of pages
    reporting_event:
      type: object
      properties:
        id:
          type: number
          description: ID of the reporting event
        name:
          type: string
          description: Name of the event (e.g., first_response, resolution, reply_time)
        value:
          type: number
          format: double
          description: Value of the metric in seconds
        value_in_business_hours:
          type: number
          format: double
          description: Value of the metric in seconds, calculated only for business hours
        event_start_time:
          type: string
          format: date-time
          description: The timestamp when the event started
        event_end_time:
          type: string
          format: date-time
          description: The timestamp when the event ended
        account_id:
          type: number
          description: ID of the account
        conversation_id:
          type:
            - number
            - 'null'
          description: ID of the conversation
        inbox_id:
          type:
            - number
            - 'null'
          description: ID of the inbox
        user_id:
          type:
            - number
            - 'null'
          description: ID of the user/agent
        created_at:
          type: string
          format: date-time
          description: The timestamp when the reporting event was created
        updated_at:
          type: string
          format: date-time
          description: The timestamp when the reporting event was last updated
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````